Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSDappDev

## Specification of methods

### WSGIappDev method

Form
  WSDappDev* WSGIappDev()
Function
  Returns the global instance of the class: WSDappDev.
Description
Parameters
  None.
Return value
  Returns the instance.
Notice
  This method is a global function. Do not delete the return value.
  It is an invalid instance that is created by WSDappDev().
Samples

        //Accessing argc/argv of main()
        int argc = WSGIappDev()->getArgc();
        char** argv = WSGIappDev()->getArgv();

### getArgc method

Form
  int getArgc()
Function
  Returns the argc of main(int argc,char** argv).
Description
Parameters
  None.
Return value
  Returns argc.
Notice
Samples
  Refer to WSGIappDev().

### getArgv method

Form
  char** getArgv();
Function
  Returns the argv of main(int argc,char** argv).
Description
Parameters
  None.
Return value
  Returns argv
Notice
  Do not delete the return value.
Samples
  Refer to WSGIappDev().

### getInstanceName method

Form
  char* getInstanceName()
Function
  Returns the project name.
Description
Parameters
  None.
Return value
  Returns the project name.
Notice
  Do not delete the return value. Please see the first element of the return value of getArgv(), if you want the command name.
Samples

        //get the project name.
        char* iname = WSGIappDev()->getInstanceName();

### getWidth() method

Form
  unsigned short getWidth()
Function
  Returns the width of the display.
Description
Parameters
  None.
Return value
  None.
Notice
Samples

        //get the display width.
        WSCushort dw = WSGIappDev()->getWidth();

### getHeight() method

Form
  unsigned short getHeight()
Function
  Returns the height of the dislpay.
Description
Parameters
  None.
Return value
  None.
Notice
Samples

        //get the display height.
        WSCushort dh = WSGIappDev()->getHeight();

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004